Subject: Re: linux-next: add utrace tree

From: Ananth N Mavinakayanahalli <[email-masked]>
Date: Wed, 27 Jan 2010 16:50:55 +0530

On Wed, Jan 27, 2010 at 12:08:31PM +0100, Peter Zijlstra wrote:
> On Wed, 2010-01-27 at 16:35 +0530, Ananth N Mavinakayanahalli wrote:
> > Probing RIP-relative instructions work just fine; there are fixups that
> > take care of it. 
> 
> Ah my bad then, it was my understanding you simply bailed on those.
> 
> Just for my information, how large are the replacement sequences?

The RIP relative instruction is transformed into indirect addressing
mode using a scratch register.

For details http://marc.info/?l=linux-kernel&m=126401936114639&w=2. 

Ananth